## r-cran-later 1.0.0%2Bdfsg

=== DESCRIPTION ===
Package: later
Type: Package
Title: Utilities for Scheduling Functions to Execute Later with Event
        Loops
Version: 1.0.0
Authors@R: c(
    person("Joe", "Cheng", role = c("aut", "cre"), email = "joe@rstudio.com"),
    person(family = "RStudio", role = "cph"),
    person("Winston", "Chang", role = c("aut"), email = "winston@rstudio.com"),
    person("Marcus", "Geelnard", role = c("ctb", "cph"), comment = "TinyCThread library, https://tinycthread.github.io/"),
    person("Evan", "Nemerson", role = c("ctb", "cph"), comment = "TinyCThread library, https://tinycthread.github.io/")
    )
Description: Executes arbitrary R or C functions some time after the current
    time, after the R execution stack has emptied. The functions are scheduled
    in an event loop.
URL: https://github.com/r-lib/later
BugReports: https://github.com/r-lib/later/issues
License: GPL (>= 2)
Imports: Rcpp (>= 0.12.9), rlang
LinkingTo: Rcpp, BH
RoxygenNote: 6.1.1
Suggests: knitr, rmarkdown, testthat
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2019-10-03 23:31:59 UTC; jcheng
Author: Joe Cheng [aut, cre],
  RStudio [cph],
  Winston Chang [aut],
  Marcus Geelnard [ctb, cph] (TinyCThread library,
    https://tinycthread.github.io/),
  Evan Nemerson [ctb, cph] (TinyCThread library,
    https://tinycthread.github.io/)
Maintainer: Joe Cheng <joe@rstudio.com>
Repository: CRAN
Date/Publication: 2019-10-04 05:00:02 UTC

## r-cran-later 0.7.3+dfsg

=== debian/changelog ===
r-cran-later (0.7.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jun 2018 10:40:03 +0200

r-cran-later (0.7.2-1) unstable; urgency=medium

  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends
  * Drop unneeded r-cran-bh patch

 -- Andreas Tille <tille@debian.org>  Wed, 30 May 2018 13:02:54 +0200

r-cran-later (0.7.1-1) unstable; urgency=medium

  * Initial release (closes: #897030)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Apr 2018 12:49:30 +0200

=== debian/control ===
Source: r-cran-later
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.12.9),
               r-cran-rlang,
               r-cran-bh,
               libboost-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-later
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-later.git
Homepage: https://cran.r-project.org/package=later

Package: r-cran-later
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R utilities for delaying function execution
 This GNU R packages enables the execution of arbitrary R or C functions
 some time after the current time, after the R execution stack has
 emptied.

## r-cran-later 0.7.5+dfsg

=== debian/changelog ===
r-cran-later (0.7.5+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 17 Apr 2019 14:48:59 +0200

r-cran-later (0.7.5+dfsg-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Link with libboost_atomic when needed
    Closes: #915321

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/copyright
  * Build-Depends: libboost-atomic-dev

 -- Andreas Tille <tille@debian.org>  Tue, 04 Dec 2018 16:09:02 +0100

r-cran-later (0.7.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 20 Sep 2018 21:12:30 +0200

r-cran-later (0.7.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1
  * d/copyright: location of tinycthread lib has changed

 -- Andreas Tille <tille@debian.org>  Tue, 04 Sep 2018 11:34:48 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
                r-cran-rcpp (>= 0.12.9),
                r-cran-rlang,
                r-cran-bh,
-               libboost-dev
-Standards-Version: 4.1.4
+               libboost-dev,
+               libboost-atomic-dev
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-later
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-later.git
 Homepage: https://cran.r-project.org/package=later

## r-cran-later 0.8.0+dfsg

=== debian/changelog ===
r-cran-later (0.8.0+dfsg-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

  [ Andreas Tille ]
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Remove unneeded paragraph from d/copyright

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jul 2019 12:22:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 0.12.9),
@@ -12,7 +12,7 @@
                r-cran-bh,
                libboost-dev,
                libboost-atomic-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-later
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-later.git
 Homepage: https://cran.r-project.org/package=later

## r-cran-later 1.0.0+dfsg

=== debian/changelog ===
r-cran-later (1.0.0+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:24 +0100

r-cran-later (1.0.0+dfsg-2) unstable; urgency=medium

  * Add test dependency on g++
  * Link with std::atomic instead of boost:atomic
  * Bump Standards-Version to 4.5.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 21 Jan 2020 15:56:02 +0000

r-cran-later (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Andreas Tille <tille@debian.org>  Mon, 07 Oct 2019 11:36:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 0.12.9),
                r-cran-rlang,
                r-cran-bh,
-               libboost-dev,
-               libboost-atomic-dev
-Standards-Version: 4.3.0
+               libboost-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-later
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-later.git
 Homepage: https://cran.r-project.org/package=later

## r-cran-later 1.1.0.1%2Bdfsg

=== debian/changelog ===
r-cran-later (1.1.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Disable atomic.patch as it seems to be handled by upstream now.
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 22 Jun 2020 09:46:05 +0200

## r-cran-later 1.1.0.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Utilities for Scheduling Functions to Execute Later with Event
         Loops
-Version: 1.0.0
+Version: 1.1.0.1
 Authors@R: c(
     person("Joe", "Cheng", role = c("aut", "cre"), email = "joe@rstudio.com"),
     person(family = "RStudio", role = "cph"),
@@ -18,11 +18,11 @@
 License: GPL (>= 2)
 Imports: Rcpp (>= 0.12.9), rlang
 LinkingTo: Rcpp, BH
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.0
 Suggests: knitr, rmarkdown, testthat
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2019-10-03 23:31:59 UTC; jcheng
+Packaged: 2020-06-02 13:23:01 UTC; winston
 Author: Joe Cheng [aut, cre],
   RStudio [cph],
   Winston Chang [aut],
@@ -32,4 +32,4 @@
     https://tinycthread.github.io/)
 Maintainer: Joe Cheng <joe@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-10-04 05:00:02 UTC
+Date/Publication: 2020-06-05 10:10:13 UTC

=== debian/changelog ===
r-cran-later (1.1.0.1+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 13 Oct 2020 15:10:24 +0200

## r-cran-later 1.3.0+dfsg

=== DESCRIPTION ===
Package: later
Type: Package
Title: Utilities for Scheduling Functions to Execute Later with Event
        Loops
Version: 1.3.0
Authors@R: c(
    person("Winston", "Chang", role = c("aut", "cre"), email = "winston@rstudio.com"),
    person("Joe", "Cheng", role = c("aut"), email = "joe@rstudio.com"),
    person(family = "RStudio", role = "cph"),
    person("Marcus", "Geelnard", role = c("ctb", "cph"), comment = "TinyCThread library, https://tinycthread.github.io/"),
    person("Evan", "Nemerson", role = c("ctb", "cph"), comment = "TinyCThread library, https://tinycthread.github.io/")
    )
Description: Executes arbitrary R or C functions some time after the current
    time, after the R execution stack has emptied. The functions are scheduled
    in an event loop.
URL: https://github.com/r-lib/later
BugReports: https://github.com/r-lib/later/issues
License: MIT + file LICENSE
Imports: Rcpp (>= 0.12.9), rlang
LinkingTo: Rcpp
RoxygenNote: 7.1.1
SystemRequirements: C++11
Suggests: knitr, rmarkdown, testthat (>= 2.1.0)
VignetteBuilder: knitr
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2021-08-18 14:03:28 UTC; barret
Author: Winston Chang [aut, cre],
  Joe Cheng [aut],
  RStudio [cph],
  Marcus Geelnard [ctb, cph] (TinyCThread library,
    https://tinycthread.github.io/),
  Evan Nemerson [ctb, cph] (TinyCThread library,
    https://tinycthread.github.io/)
Maintainer: Winston Chang <winston@rstudio.com>
Repository: CRAN
Date/Publication: 2021-08-18 16:30:06 UTC

=== debian/changelog ===
r-cran-later (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 21 Sep 2021 06:40:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 0.12.9),
                r-cran-rlang,
-               r-cran-bh,
                libboost-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-later
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-later.git
 Homepage: https://cran.r-project.org/package=later
+Rules-Requires-Root: no
 
 Package: r-cran-later
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, g++
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/later_([-\d.]*)\.tar\.gz

## r-cran-later 1.3.1+dfsg

=== debian/changelog ===
r-cran-later (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Jun 2023 15:16:15 +0200

## r-cran-later 1.3.2%2Bdfsg

=== debian/changelog ===
r-cran-later (1.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 20:07:52 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.12.9),
+               r-cran-rcpp,
                r-cran-rlang,
                libboost-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-later
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-later.git
 Homepage: https://cran.r-project.org/package=later

## r-cran-later 1.3.2+dfsg

=== DESCRIPTION ===
Package: later
Type: Package
Title: Utilities for Scheduling Functions to Execute Later with Event
        Loops
Version: 1.3.2
Authors@R: c(
    person("Winston", "Chang", role = c("aut", "cre"), email = "winston@posit.co"),
    person("Joe", "Cheng", role = c("aut"), email = "joe@posit.co"),
    person(family = "Posit Software, PBC", role = "cph"),
    person("Marcus", "Geelnard", role = c("ctb", "cph"), comment = "TinyCThread library, https://tinycthread.github.io/"),
    person("Evan", "Nemerson", role = c("ctb", "cph"), comment = "TinyCThread library, https://tinycthread.github.io/")
    )
Description: Executes arbitrary R or C functions some time after the current
    time, after the R execution stack has emptied. The functions are scheduled
    in an event loop.
URL: https://r-lib.github.io/later/, https://github.com/r-lib/later
BugReports: https://github.com/r-lib/later/issues
License: MIT + file LICENSE
Imports: Rcpp (>= 0.12.9), rlang
LinkingTo: Rcpp
RoxygenNote: 7.2.3
Suggests: knitr, rmarkdown, testthat (>= 2.1.0)
VignetteBuilder: knitr
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2023-12-06 00:38:14 UTC; cpsievert
Author: Winston Chang [aut, cre],
  Joe Cheng [aut],
  Posit Software, PBC [cph],
  Marcus Geelnard [ctb, cph] (TinyCThread library,
    https://tinycthread.github.io/),
  Evan Nemerson [ctb, cph] (TinyCThread library,
    https://tinycthread.github.io/)
Maintainer: Winston Chang <winston@posit.co>
Repository: CRAN
Date/Publication: 2023-12-06 09:10:05 UTC

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-testthat (>= 2.1.0),
        g++
Restrictions: allow-stderr

## r-cran-later 1.4.1%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Type: Package
 Title: Utilities for Scheduling Functions to Execute Later with Event
         Loops
-Version: 1.3.2
+Version: 1.4.1
 Authors@R: c(
     person("Winston", "Chang", role = c("aut", "cre"), email = "winston@posit.co"),
     person("Joe", "Cheng", role = c("aut"), email = "joe@posit.co"),
+    person("Charlie", "Gao", role = c("aut"), email = "charlie.gao@shikokuchuo.net", comment = c(ORCID = "0000-0002-0750-061X")),
     person(family = "Posit Software, PBC", role = "cph"),
     person("Marcus", "Geelnard", role = c("ctb", "cph"), comment = "TinyCThread library, https://tinycthread.github.io/"),
     person("Evan", "Nemerson", role = c("ctb", "cph"), comment = "TinyCThread library, https://tinycthread.github.io/")
@@ -18,14 +19,15 @@
 License: MIT + file LICENSE
 Imports: Rcpp (>= 0.12.9), rlang
 LinkingTo: Rcpp
-RoxygenNote: 7.2.3
-Suggests: knitr, rmarkdown, testthat (>= 2.1.0)
+RoxygenNote: 7.3.2
+Suggests: knitr, nanonext, R6, rmarkdown, testthat (>= 2.1.0)
 VignetteBuilder: knitr
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2023-12-06 00:38:14 UTC; cpsievert
+Packaged: 2024-11-27 22:51:17 UTC; jcheng
 Author: Winston Chang [aut, cre],
   Joe Cheng [aut],
+  Charlie Gao [aut] (<https://orcid.org/0000-0002-0750-061X>),
   Posit Software, PBC [cph],
   Marcus Geelnard [ctb, cph] (TinyCThread library,
     https://tinycthread.github.io/),
@@ -33,4 +35,4 @@
     https://tinycthread.github.io/)
 Maintainer: Winston Chang <winston@posit.co>
 Repository: CRAN
-Date/Publication: 2023-12-06 09:10:05 UTC
+Date/Publication: 2024-11-27 23:40:02 UTC

## r-cran-later 1.4.1+dfsg

=== debian/changelog ===
r-cran-later (1.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * d/tests/control: add new r-cran-r6
  * d/patches: removed unused patch

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 18 Jan 2025 12:48:20 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-rcpp,
                r-cran-rlang,
                libboost-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-later
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-later.git
 Homepage: https://cran.r-project.org/package=later

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-r6,
        r-cran-rmarkdown,
        r-cran-testthat (>= 2.1.0),
        g++
Restrictions: allow-stderr

## r-cran-later 1.4.5+dfsg

=== debian/changelog ===
r-cran-later (1.4.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Update debian/copyright for MIT relicensing in 1.1.0.1
  debian/copyright: Replace commas with whitespace to separate items in Files paragraph.

 -- Charles Plessy <plessy@debian.org>  Thu, 15 Jan 2026 14:23:04 +0900

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,10 @@
                r-base-dev,
                r-cran-rcpp,
                r-cran-rlang,
-               libboost-dev
-Standards-Version: 4.7.0
+               libboost-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-later
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-later.git
 Homepage: https://cran.r-project.org/package=later

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-promises,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0),
        g++
Restrictions: allow-stderr

## r-cran-later 1.4.6+dfsg

=== DESCRIPTION ===
Type: Package
Package: later
Title: Utilities for Scheduling Functions to Execute Later with Event
        Loops
Version: 1.4.6
Authors@R: c(
    person("Winston", "Chang", , "winston@posit.co", role = "aut",
           comment = c(ORCID = "0000-0002-1576-2126")),
    person("Joe", "Cheng", , "joe@posit.co", role = "aut"),
    person("Charlie", "Gao", , "charlie.gao@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-0750-061X")),
    person("Posit Software, PBC", role = c("cph", "fnd"),
           comment = c(ROR = "03wc8by49")),
    person("Marcus", "Geelnard", role = c("ctb", "cph"),
           comment = "TinyCThread library, https://tinycthread.github.io/"),
    person("Evan", "Nemerson", role = c("ctb", "cph"),
           comment = "TinyCThread library, https://tinycthread.github.io/")
  )
Description: Executes arbitrary R or C functions some time after the
    current time, after the R execution stack has emptied. The functions
    are scheduled in an event loop.
License: MIT + file LICENSE
URL: https://later.r-lib.org, https://github.com/r-lib/later
BugReports: https://github.com/r-lib/later/issues
Depends: R (>= 3.5)
Imports: Rcpp (>= 1.0.10), rlang
Suggests: knitr, nanonext, promises, rmarkdown, testthat (>= 3.0.0)
LinkingTo: Rcpp
VignetteBuilder: knitr
Config/build/compilation-database: true
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/usethis/last-upkeep: 2025-07-18
Encoding: UTF-8
RoxygenNote: 7.3.3
NeedsCompilation: yes
Packaged: 2026-02-13 17:08:44 UTC; cg334
Author: Winston Chang [aut] (ORCID: <https://orcid.org/0000-0002-1576-2126>),
  Joe Cheng [aut],
  Charlie Gao [aut, cre] (ORCID: <https://orcid.org/0000-0002-0750-061X>),
  Posit Software, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>),
  Marcus Geelnard [ctb, cph] (TinyCThread library,
    https://tinycthread.github.io/),
  Evan Nemerson [ctb, cph] (TinyCThread library,
    https://tinycthread.github.io/)
Maintainer: Charlie Gao <charlie.gao@posit.co>
Repository: CRAN
Date/Publication: 2026-02-13 18:00:08 UTC

=== debian/changelog ===
r-cran-later (1.4.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 10:30:53 +0900

=== debian/control ===
Source: r-cran-later
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-rcpp,
 r-cran-rlang,
 libboost-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-later
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-later.git
Homepage: https://cran.r-project.org/package=later
Rules-Requires-Root: no

Package: r-cran-later
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R utilities for delaying function execution
 This GNU R packages enables the execution of arbitrary R or C functions
 some time after the current time, after the R execution stack has
 emptied.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-knitr,
 r-cran-promises,
 r-cran-rmarkdown,
 r-cran-testthat (>= 3.0.0),
 g++,

## r-cran-later 1.4.7+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Package: later
 Title: Utilities for Scheduling Functions to Execute Later with Event
         Loops
-Version: 1.4.6
+Version: 1.4.7
 Authors@R: c(
     person("Winston", "Chang", , "winston@posit.co", role = "aut",
            comment = c(ORCID = "0000-0002-1576-2126")),
@@ -34,7 +34,7 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.3
 NeedsCompilation: yes
-Packaged: 2026-02-13 17:08:44 UTC; cg334
+Packaged: 2026-02-23 21:52:58 UTC; cg334
 Author: Winston Chang [aut] (ORCID: <https://orcid.org/0000-0002-1576-2126>),
   Joe Cheng [aut],
   Charlie Gao [aut, cre] (ORCID: <https://orcid.org/0000-0002-0750-061X>),
@@ -45,4 +45,4 @@
     https://tinycthread.github.io/)
 Maintainer: Charlie Gao <charlie.gao@posit.co>
 Repository: CRAN
-Date/Publication: 2026-02-13 18:00:08 UTC
+Date/Publication: 2026-02-24 06:10:09 UTC

=== debian/changelog ===
r-cran-later (1.4.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Update watch file format version to 5.
  * Add dversionmangle for repack versioning in debian/watch.
  * Add ITP bugs in 0.7.1-1.
  * debputy lint --auto-fix (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 26 Feb 2026 08:34:37 +0900

=== debian/watch ===
Version: 5

Source: https://cran.r-project.org/src/contrib/later_([-\d.]*)\.tar\.gz
Repack-Suffix: +dfsg
Debian-Version-Mangle: s/\+dfsg[0-9]*//g
Compression: xz
Dversion-Mangle: s/\+(dfsg|ds|debian|repack)(\d*)$//
